Bug 47485 - docbook-style-dsssl-1.64-2.noarch.rpm failes to freshen
docbook-style-dsssl-1.64-2.noarch.rpm failes to freshen
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: sgml-common (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-07-05 14:27 EDT by Stephen Rasku
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-10-01 13:41:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Stephen Rasku 2001-07-05 14:27:02 EDT
I was trying to upgrade my 7.1 install to the 1.64 rawhide style sheets. 
This is what I got:

[root@kiev stephen]# rpm -Fvh docbook-style-dsssl-1.64-2.noarch.rpm 
Preparing...                ###########################################
[100%]
   1:docbook-style-dsssl    ###########################################
[100%]
install-catalog: unable to write in /etc/sgml.
install-catalog: unable to write in /etc/sgml.
error: execution of %post scriptlet from docbook-style-dsssl-1.64-2 failed,
exit status 2
[root@kiev stephen]# ls /etc/sgml
ls: /etc/sgml: No such file or directory


Then I tried to remove the original package:

[root@kiev stephen]# rpm -e docbook-style-dsssl
error: "docbook-style-dsssl" specifies multiple packages

I had installation problems before.  These are documented in bug 44517.
Comment 1 Tim Waugh 2001-07-05 14:31:40 EDT
In that other bug, I asked to you rm -rf /etc/sgml.  Did you do that _before_ 
reinstalling the sgml packages, or afterwards?

/etc/sgml isn't owned by any package; perhaps that's the problem.
Comment 2 Stephen Rasku 2001-07-05 14:45:01 EDT
I believe I did it before but I can't remember for sure.
Comment 3 Tim Waugh 2001-10-05 05:55:57 EDT
sgml-common-0.6.3-1 now owns /etc/sgml, which should fix this problem.

Note You need to log in before you can comment on or make changes to this bug.